LibreOffice: XPivotTableDataProvider Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPivotTableDataProvider Interface Reference

Data provider specific for pivot chart data. More...

Inheritance diagram for XPivotTableDataProvider:

## Public Member Functions
sequence< com::sun::star::chart2::data::PivotTableFieldEntry > | getColumnFields ()
| names of column fields from the associated pivot table
sequence< com::sun::star::chart2::data::PivotTableFieldEntry > | getRowFields ()
| names of row fields from the associated pivot table
sequence< com::sun::star::chart2::data::PivotTableFieldEntry > | getPageFields ()
| names of page fields from the associated pivot table
sequence< com::sun::star::chart2::data::PivotTableFieldEntry > | getDataFields ()
| names of data fields from the associated pivot table
string | getPivotTableName ()
| get the associated pivot table name
void | setPivotTableName ([in] string sPivotTableName)
| set the associated pivot table name
boolean | hasPivotTable ()
| check if the associated pivot table exists
XDataSequence | createDataSequenceOfValuesByIndex ([in] long nIndex)
| creates a single data sequence of values for the given data series index.
XDataSequence | createDataSequenceOfLabelsByIndex ([in] long nIndex)
| creates a single data sequence of label(s) for the given data series index.
XDataSequence | createDataSequenceOfCategories ()
| creates a single data sequence of categories.
string | getFieldOutputDescription ([in] long nDimensionIndex)
| field output description: either "- all -", "- multiple -", or specific value
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Data provider specific for pivot chart data.

Since
  LibreOffice 5.4

## Member Function Documentation

## ◆ createDataSequenceOfCategories()

XDataSequence createDataSequenceOfCategories | ( |  | ) |

creates a single data sequence of categories.

## ◆ createDataSequenceOfLabelsByIndex()

XDataSequence createDataSequenceOfLabelsByIndex | ( | [in] long | nIndex | ) |

creates a single data sequence of label(s) for the given data series index.

Parameters

  nIndex | index of the data series

## ◆ createDataSequenceOfValuesByIndex()

XDataSequence createDataSequenceOfValuesByIndex | ( | [in] long | nIndex | ) |

creates a single data sequence of values for the given data series index.

Parameters

  nIndex | index of the data series

## ◆ getColumnFields()

sequence< com::sun::star::chart2::data::PivotTableFieldEntry > getColumnFields | ( |  | ) |

names of column fields from the associated pivot table

## ◆ getDataFields()

sequence< com::sun::star::chart2::data::PivotTableFieldEntry > getDataFields | ( |  | ) |

names of data fields from the associated pivot table

## ◆ getFieldOutputDescription()

string getFieldOutputDescription | ( | [in] long | nDimensionIndex | ) |

field output description: either "- all -", "- multiple -", or specific value

Parameters

  nDimensionIndex | dimension index of the field

## ◆ getPageFields()

sequence< com::sun::star::chart2::data::PivotTableFieldEntry > getPageFields | ( |  | ) |

names of page fields from the associated pivot table

## ◆ getPivotTableName()

string getPivotTableName | ( |  | ) |

get the associated pivot table name

## ◆ getRowFields()

sequence< com::sun::star::chart2::data::PivotTableFieldEntry > getRowFields | ( |  | ) |

names of row fields from the associated pivot table

## ◆ hasPivotTable()

boolean hasPivotTable | ( |  | ) |

check if the associated pivot table exists

## ◆ setPivotTableName()

void setPivotTableName | ( | [in] string | sPivotTableName | ) |

set the associated pivot table name

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/data/XPivotTableDataProvider.idl